#!/bin/bash
#-------------------------------------------------------------------------------
# Example utility script for Mentat database and event data sanity check:
#	Detectors that are dead over 2 days (but seen last week)
#
# Author: Pavel Kácha <ph@cesnet.cz>
# Copyright (C) since 2011 CESNET, z.s.p.o
# Use of this source is governed by the MIT license, see LICENSE file.
#-------------------------------------------------------------------------------

. /etc/default/mentat
cd /

#sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF
sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF | mail -s 'Mentat: Detectors dead over 2 days (but seen last week)' ${MENTAT_CHECKS_MAIL_TO[@]}
SET timezone TO 'utc';
SELECT
	node_name as "Node Name",
	max(cesnet_storagetime) as "Storage Time"
FROM
	events
WHERE
	cesnet_storagetime > LOCALTIMESTAMP - INTERVAL '7 day'
GROUP BY
	node_name
HAVING
	MAX(cesnet_storagetime) < LOCALTIMESTAMP - INTERVAL '2 day';
EOF
