#!/bin/bash
#-------------------------------------------------------------------------------
# Example utility script for Mentat database and event data sanity check:
#	IDEA message inspection errors
#
# Author: Pavel Kácha <ph@cesnet.cz>
# Copyright (C) since 2011 CESNET, z.s.p.o
# Use of this source is governed by the MIT license, see LICENSE file.
#-------------------------------------------------------------------------------

. /etc/default/mentat
cd /

#sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF
sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF | mail -s 'Mentat: IDEA inspection errors' ${MENTAT_CHECKS_MAIL_TO[@]}
SET timezone TO 'utc';
SELECT
	node_name AS "Node Name",
	cesnet_inspectionerrors AS "Inspection Errors",
	'https://mentat-hub.cesnet.cz/mentat/events/show/' || max(id) AS "Example event"
FROM
	events
WHERE
	cesnet_inspectionerrors!='{}'
	AND cesnet_storagetime > localtimestamp - INTERVAL '1 day'
GROUP BY
	node_name, cesnet_inspectionerrors
ORDER BY
	node_name;
EOF
