#!/bin/bash
#-------------------------------------------------------------------------------
# Example utility script for Mentat database and event data sanity check:
#	Events that did not fit any of our classes
#
# Author: Pavel Kácha <ph@cesnet.cz>
# Copyright (C) since 2011 CESNET, z.s.p.o
# Use of this source is governed by the MIT license, see LICENSE file.
#-------------------------------------------------------------------------------

. /etc/default/mentat
cd /

#sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF
sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF | mail -s 'Mentat: Events do not fit any of our classes' ${MENTAT_CHECKS_MAIL_TO[@]}
SET timezone TO 'utc';
SELECT
	node_name AS "Node Name",
	'https://mentat-hub.cesnet.cz/mentat/events/show/' || max(id) AS "Example event",
	COUNT(*) as Count
FROM
	events
WHERE
	(cesnet_eventclass IS NULL OR cesnet_eventclass='')
	AND cesnet_storagetime > localtimestamp - INTERVAL '1 day'
GROUP BY
	node_name
ORDER BY
	node_name;
EOF
