#!/bin/bash
#-------------------------------------------------------------------------------
# Example utility script for Mentat database and event data sanity check:
#	Clients still sending messages with Test category
#
# Author: Pavel Kácha <ph@cesnet.cz>
# Copyright (C) since 2011 CESNET, z.s.p.o
# Use of this source is governed by the MIT license, see LICENSE file.
#-------------------------------------------------------------------------------

. /etc/default/mentat
cd /

#sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF
sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF | mail -s 'Mentat: Detectors still sending Test' ${MENTAT_CHECKS_MAIL_TO[@]}
SET timezone TO 'utc';
SELECT
	node_name AS "Node Name",
	max(category) AS "Category",
	'https://mentat-hub.cesnet.cz/mentat/events/show/' || max(id) AS "Example event"
FROM
	events
WHERE
	'Test' = ANY(category)
GROUP BY
	node_name
ORDER BY
	node_name;
EOF
