#!/bin/bash
#-------------------------------------------------------------------------------
# Example utility script for Mentat database and event data sanity check:
#	Clients sending non static Descriptions (dynamic text like IPs should go to Note)
#
# Author: Pavel Kácha <ph@cesnet.cz>
# Copyright (C) since 2011 CESNET, z.s.p.o
# Use of this source is governed by the MIT license, see LICENSE file.
#-------------------------------------------------------------------------------

. /etc/default/mentat
cd /

#sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF
sudo --user=postgres psql --dbname=mentat_events --expanded <<EOF | mail -s 'Mentat: Detectors sending non static Descriptions (dynamic text like IPs should go to Note)' ${MENTAT_CHECKS_MAIL_TO[@]}
SET timezone TO 'utc';
SELECT
	node_name AS "Node Name",
	category AS "Category",
	COUNT(*) AS "Count",
	MAX(description) as "Example Description",
	'https://mentat-hub.cesnet.cz/mentat/events/show/' || MAX(id) AS "Example event"
FROM (
	SELECT
		node_name, category, description, MAX(id) as id
	FROM
		events
	WHERE
		cesnet_storagetime > localtimestamp - INTERVAL '1 day'
	GROUP BY
		node_name, category, description
) AS subquery
GROUP BY
	node_name, category
HAVING
	COUNT(*) > 5
ORDER BY
	node_name, category
EOF
